%{?nodejs_find_provides_and_requires}
%global packagename jison-lex
%global enable_tests 0
Name:		nodejs-jison-lex
Version:	0.3.4
Release:	1
Summary:	Lexical analyzer generator used by jison
License:	MIT
URL:		https://github.com/zaach/jison-lex.git
Source0:	https://registry.npmjs.org/jison-lex/-/jison-lex-%{version}.tgz
# upstream license file requested at https://github.com/zaach/jison-lex/issues/14
Source1:	LICENSE.md
BuildArch:	noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires: 	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  npm(test)
%endif
%description
Lexical analyzer generator used by jison

%prep
%setup -q -n package
cp -p %{SOURCE1} .
%nodejs_fixdep nomnom '^1.5.2'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jison-lex
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/jison-lex
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%__nodejs tests/all-tests.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/jison-lex

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 0.3.4-1
- Package init
